Cazana

Thatcham core

Specification data sourced from Thatcham, stored against the vehicle's ABI code.

GET/thatchams/core/1.0

Authorization

Query parameters

string
optional

VRM to search (required if `vin` not supplied)

string
optional

VIN to search (required if `vrm` not supplied)

Query parameters

vrm?string

VRM to search (required if `vin` not supplied)

vin?string

VIN to search (required if `vrm` not supplied)

Responses

application/json
{
  "make": "BMW",
  "model": "3 Series Hybrid PHEV",
  "core": {
    "legacyVehicleDescription": "string",
    "kerbWeight": 0,
    "aspirationType": "string",
    "tviCode": "string",
    "aebType": "string",
    "endDate": "2020-01-01 00:00:00",
    "grossWeight": 0,
    "bodyStyle": "string",
    "wheelBaseType": "string",
    "totalHeight": 0,
    "legacyFuelCode": "string",
    "dataVersion": "string",
    "totalWidth": 0,
    "transmissionType": "string",
    "secondaryFuelType": "string",
    "gr20Actual": "string",
    "totalLength": 0,
    "wheelBaseTypeCode": "string",
    "model": "string",
    "primaryFuelTypeCode": "string",
    "securityCategory": "string",
    "updateReason": "string",
    "groupRatingSuffix": "string",
    "abiCode": "string",
    "linkedAbiCode": 0,
    "trimLevel": "string",
    "driveTypeCode": "string",
    "roofHeightTypeCode": "string",
    "powerOutput": 0,
    "startDate": "2020-01-01 00:00:00",
    "numberOfDoors": 0,
    "maxPayload": 0,
    "productionEndYear": 0,
    "aspirationTypeCode": "string",
    "cubicCapacity": 0,
    "driveType": "string",
    "bodyStyleCode": "string",
    "lastUpdate": "2020-01-01 00:00:00",
    "electricVehicleTypeCode": "string",
    "wheelBaseLength": 0,
    "series": 0,
    "legacyTransmissionCode": "string",
    "secondaryFuelTypeCode": "string",
    "abiCodeHistory": "string",
    "primaryFuelType": "string",
    "updatedData": "string",
    "nominalStartYear": 0,
    "vehicleType": "string",
    "gr50Actual": "string",
    "enhancedVehicleDescription": "string",
    "roofHeightType": "string",
    "numberOfSeats": 0,
    "transmissionTypeCode": "string",
    "electricVehicleType": "string",
    "manufacturer": "string",
    "engineLabel": "string",
    "co2EmissionsGKm": 0,
    "updateReasonHistory": "string",
    "abiDescription": "string"
  }
}
make?string
model?string
core?

Code samples

curl --request GET \
  --url 'https://api.cazana.com/thatchams/core/1.0?vrm=AB12CDE&vin=SALGA2BU8HA000000' \
  --header 'Authorization: bearer YOUR_API_KEY'